Method: projects.locations.repositories.workspaces.installNpmPackages

Installs dependency NPM packages (inside a Workspace).

HTTP request


POST https://dataform.googleapis.com/v1/{workspace=projects/*/locations/*/repositories/*/workspaces/*}:installNpmPackages

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
workspace

string

Required. The workspace's name.

Authorization requires the following IAM permission on the specified resource workspace:

  • dataform.workspaces.installNpmPackages

Request body

The request body contains data with the following structure:

JSON representation
{
  "pipelineConfig": {
    object (PipelineConfig)
  }
}
Fields
pipelineConfig

object (PipelineConfig)

Optional. The pipeline options which define the pipeline type and path within the Git repository.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the workspace resource:

  • dataform.workspaces.installNpmPackages

For more information, see the IAM documentation.